MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
NeighborListener Class Referenceabstract

An interface that listens on events from neighbor plugins. More...

`#include <Listener.hxx>`

## Public Member Functions
virtual void | FoundNeighbor (const NeighborInfo &info)=0
virtual void | LostNeighbor (const NeighborInfo &info)=0

## Detailed Description

An interface that listens on events from neighbor plugins.

The methods must be thread-safe and non-blocking.

Definition at line 30 of file Listener.hxx.

## Member Function Documentation

virtual void NeighborListener::FoundNeighbor | ( | const NeighborInfo & | info | ) |
| pure virtual

virtual void NeighborListener::LostNeighbor | ( | const NeighborInfo & | info | ) |
| pure virtual

The documentation for this class was generated from the following file:

- neighbor/Listener.hxx